Package pyplusplus :: Package decl_wrappers :: Module properties :: Class property_recognizer_i

# type property_recognizer_i

source code

    object --+
             |
            property_recognizer_i

Known Subclasses:
  - name_based_recognizer_t

Instance Methods

__init__(self) | source code

create_property(self, fget, fset) | source code

create_read_only_property(sefl, fget) | source code

is_accessor(self, mem_fun) | source code

is_getter(self, mem_fun) | source code

is_setter(self, mem_fun) | source code

class_accessors(self, cls) | source code

base_classes(self, cls) | source code

inherited_accessors(self, cls) | source code

Method Details

### __init__(self)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)